##
##  This script is used to remove the unnecessary elements from the powershell documentation file,
##  generated by CmdLet Editor Tool (http://blogs.msdn.com/b/powershell/archive/2007/09/01/new-and-improved-cmdlet-help-editor-tool.aspx)
##  Run this tool after modifying the documentation with this tool and prior to checkin in the updated doc file.
##


param([string]$FilePath = "")

if ($filePath -eq "")
{
    Write-Host "Usage: Remove-WarningStuff.ps1 -FilePath C:\directory\file.xml"
}

[xml]$FileXml = Get-Content $filePath

$NamespaceMgr = new-object System.Xml.XmlNamespaceManager($FileXml.PSBase.NameTable)
$NamespaceMgr.AddNamespace("a", $FileXml.helpItems.xmlns)
$NamespaceMgr.AddNamespace("command", "http://schemas.microsoft.com/maml/dev/command/2004/10")
$NamespaceMgr.AddNamespace("maml", "http://schemas.microsoft.com/maml/2004/10")

$entries = $FileXml.SelectNodes('/a:helpItems/command:command/command:syntax/command:syntaxItem/command:parameter[maml:name="WarningAction"]', $NamespaceMgr)
foreach($entry in $entries)
{
    [void]$entry.ParentNode.RemoveChild($entry)
}
Write-Host 'Removed all occurances of "WarningAction" parameter in syntax descriptions.'

$entries = $FileXml.SelectNodes('/a:helpItems/command:command/command:syntax/command:syntaxItem/command:parameter[maml:name="WarningVariable"]', $NamespaceMgr)
foreach($entry in $entries)
{
    [void]$entry.ParentNode.RemoveChild($entry)
}
Write-Host 'Removed all occurances of "WarningVariable" parameter in syntax descriptions.'

$entries = $FileXml.SelectNodes('/a:helpItems/command:command/command:parameters/command:parameter[maml:name="WarningAction"]', $NamespaceMgr)
foreach($entry in $entries)
{
    [void]$entry.ParentNode.RemoveChild($entry)
}
Write-Host 'Removed all occurances of "WarningAction" parameter in parameters descriptions.'

$entries = $FileXml.SelectNodes('/a:helpItems/command:command/command:parameters/command:parameter[maml:name="WarningVariable"]', $NamespaceMgr)
foreach($entry in $entries)
{
    [void]$entry.ParentNode.RemoveChild($entry)
}
Write-Host 'Removed all occurances of "WarningVariable" parameter in parameters descriptions.'

$filename = Split-Path -Path $FilePath -leaf

$FileXml.Save("$pwd\CleanedUp_$filename")


